Package com.usatiuk.dhfs.persistence

# Class ChunkDataP.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<ChunkDataP.Builder>
com.google.protobuf.GeneratedMessageV3.Builder<ChunkDataP.Builder>
com.usatiuk.dhfs.persistence.ChunkDataP.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ChunkDataPOrBuilder`, `Cloneable`

Enclosing class:
  `ChunkDataP`

public static final class ChunkDataP.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<ChunkDataP.Builder> implements ChunkDataPOrBuilder
Protobuf type `dhfs.persistence.ChunkDataP`

## Method Summary

Modifier and Type
Method
Description
`ChunkDataP.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`ChunkDataP`
`build()`
`ChunkDataP`
`buildPartial()`
`ChunkDataP.Builder`
`clear()`
`ChunkDataP.Builder`
`clearData()`
`bytes data = 2;`
`ChunkDataP.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`ChunkDataP.Builder`
`clearKey()`
`.dhfs.persistence.JObjectKeyP key = 1;`
`ChunkDataP.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`ChunkDataP.Builder`
`clone()`
`com.google.protobuf.ByteString`
`getData()`
`bytes data = 2;`
`ChunkDataP`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`JObjectKeyP`
`getKey()`
`.dhfs.persistence.JObjectKeyP key = 1;`
`JObjectKeyP.Builder`
`getKeyBuilder()`
`.dhfs.persistence.JObjectKeyP key = 1;`
`JObjectKeyPOrBuilder`
`getKeyOrBuilder()`
`.dhfs.persistence.JObjectKeyP key = 1;`
`boolean`
`hasKey()`
`.dhfs.persistence.JObjectKeyP key = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`ChunkDataP.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`ChunkDataP.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`ChunkDataP.Builder`
`mergeFrom(ChunkDataP other)`
`ChunkDataP.Builder`
`mergeKey(JObjectKeyP value)`
`.dhfs.persistence.JObjectKeyP key = 1;`
`final ChunkDataP.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`ChunkDataP.Builder`
`setData(com.google.protobuf.ByteString value)`
`bytes data = 2;`
`ChunkDataP.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`ChunkDataP.Builder`
`setKey(JObjectKeyP value)`
`.dhfs.persistence.JObjectKeyP key = 1;`
`ChunkDataP.Builder`
`setKey(JObjectKeyP.Builder builderForValue)`
`.dhfs.persistence.JObjectKeyP key = 1;`
`ChunkDataP.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`final ChunkDataP.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ChunkDataP.Builder>`

### clear

public ChunkDataP.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ChunkDataP.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ChunkDataP.Builder>`

### getDefaultInstanceForType

public ChunkDataP getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public ChunkDataP build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public ChunkDataP buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public ChunkDataP.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<ChunkDataP.Builder>`

### setField

public ChunkDataP.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ChunkDataP.Builder>`

### clearField

public ChunkDataP.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ChunkDataP.Builder>`

### clearOneof

public ChunkDataP.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<ChunkDataP.Builder>`

### setRepeatedField

public ChunkDataP.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ChunkDataP.Builder>`

### addRepeatedField

public ChunkDataP.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ChunkDataP.Builder>`

### mergeFrom

public ChunkDataP.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ChunkDataP.Builder>`

### mergeFrom

public ChunkDataP.Builder mergeFrom(ChunkDataP other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ChunkDataP.Builder>`

### mergeFrom

public ChunkDataP.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ChunkDataP.Builder>`
Throws:
  `IOException`

### hasKey

public boolean hasKey()
`.dhfs.persistence.JObjectKeyP key = 1;`

Specified by:
  `hasKey` in interface `ChunkDataPOrBuilder`
Returns:
  Whether the key field is set.

### getKey

public JObjectKeyP getKey()
`.dhfs.persistence.JObjectKeyP key = 1;`

Specified by:
  `getKey` in interface `ChunkDataPOrBuilder`
Returns:
  The key.

### setKey

public ChunkDataP.Builder setKey(JObjectKeyP value)
`.dhfs.persistence.JObjectKeyP key = 1;`

### setKey

public ChunkDataP.Builder setKey(JObjectKeyP.Builder builderForValue)
`.dhfs.persistence.JObjectKeyP key = 1;`

### mergeKey

public ChunkDataP.Builder mergeKey(JObjectKeyP value)
`.dhfs.persistence.JObjectKeyP key = 1;`

### clearKey

public ChunkDataP.Builder clearKey()
`.dhfs.persistence.JObjectKeyP key = 1;`

### getKeyBuilder

public JObjectKeyP.Builder getKeyBuilder()
`.dhfs.persistence.JObjectKeyP key = 1;`

### getKeyOrBuilder

public JObjectKeyPOrBuilder getKeyOrBuilder()
`.dhfs.persistence.JObjectKeyP key = 1;`

Specified by:
  `getKeyOrBuilder` in interface `ChunkDataPOrBuilder`

### getData

public com.google.protobuf.ByteString getData()
`bytes data = 2;`

Specified by:
  `getData` in interface `ChunkDataPOrBuilder`
Returns:
  The data.

### setData

public ChunkDataP.Builder setData(com.google.protobuf.ByteString value)
`bytes data = 2;`

Parameters:
  `value` - The data to set.
Returns:
  This builder for chaining.

### clearData

public ChunkDataP.Builder clearData()
`bytes data = 2;`

Returns:
  This builder for chaining.

### setUnknownFields

public final ChunkDataP.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ChunkDataP.Builder>`

### mergeUnknownFields

public final ChunkDataP.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ChunkDataP.Builder>`